View Issue Details

IDProjectCategoryView StatusLast Update
0000700PluginsNetworkpublic2009-03-28 20:29
Reportermda Assigned Toalexy  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows XP 
Product Version2.0 
Fixed in Version2.0 
Summary0000700: Очень долгий вход в содержимое сетевых папок
DescriptionПод дебугером выяснилось, что в функции NetBrowser::IsReadable из-за того, что при вызове UNICODE версии не подставлялся префикс "\\?\UNC\", происходила задержка в дебрях кода Windows.
TagsNo tags attached.

Activities

2009-01-13 13:01

 

network.patch (498 bytes)   
Index: NetClass.cpp
===================================================================
--- NetClass.cpp	(revision 2465)
+++ NetClass.cpp	(working copy)
@@ -1810,7 +1810,11 @@
 BOOL NetBrowser::IsReadable(const TCHAR *Remote)
 {
   TCHAR Mask[NM];
+#ifdef _UNICODE
+  FSF.sprintf(Mask,_T("\\\\?\\UNC%s\\*"),Remote+1);
+#else
   FSF.sprintf(Mask,_T("%s\\*"),Remote);
+#endif // _UNICODE
   HANDLE FindHandle;
   WIN32_FIND_DATA FindData;
   FindHandle=FindFirstFile(Mask,&FindData);
network.patch (498 bytes)   

alexy

2009-03-27 21:47

administrator   bugnote:0002841

build 50

Issue History

Date Modified Username Field Change
2009-01-13 13:01 mda New Issue
2009-01-13 13:01 mda Status new => assigned
2009-01-13 13:01 mda Assigned To => Karbazol
2009-01-13 13:01 mda File Added: network.patch
2009-03-27 21:36 alexy Assigned To Karbazol => alexy
2009-03-27 21:47 alexy Note Added: 0002841
2009-03-27 21:47 alexy Status assigned => feedback
2009-03-28 18:09 samlyukov Status feedback => resolved
2009-03-28 18:09 samlyukov Resolution open => fixed
2009-03-28 20:29 alexy Status resolved => closed
2009-03-28 20:29 alexy Fixed in Version => 2.0